/***************************************************************************
 * qpointcm.h: implementation of QPointCm class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef QPOINTCM_H
#define QPOINTCM_H

#include <QPointF>

#include "cm.h"

class QPointCm {
public:
	QPointCm();
	QPointCm(const Cm& x, const Cm& y);
	virtual ~QPointCm();
	
	virtual void setX(const Cm& x);
	virtual Cm x() const;
	
	virtual void setY(const Cm& y);
	virtual Cm y() const;
	
	virtual QPointF toQPointF() const;
	
	virtual QPointCm operator+ (const QPointCm& point) const;
	virtual QPointCm operator- (const QPointCm& point) const;
	
	virtual QPointCm operator+= (const QPointCm& point);
	virtual QPointCm operator-= (const QPointCm& point);
	
	virtual bool operator==(const QPointCm& point) const;
	virtual bool operator!=(const QPointCm& point) const;
private:
	Cm mX;
	Cm mY;
};

#endif
